/*
Navicat MySQL Data Transfer

Source Server         : localhost
Source Server Version : 50731
Source Host           : localhost:3306
Source Database       : certificate

Target Server Type    : MYSQL
Target Server Version : 50731
File Encoding         : 65001

Date: 2022-10-27 14:10:17
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for mortals_xhx_apply_log
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_apply_log`;
CREATE TABLE `mortals_xhx_apply_log` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `catalogId` bigint(20) DEFAULT NULL COMMENT '证照目录ID',
  `certificateCode` varchar(128) DEFAULT NULL COMMENT '证件编号',
  `certificateName` varchar(128) DEFAULT NULL COMMENT '证件名称',
  `issueTime` datetime DEFAULT NULL COMMENT '颁发时间',
  `pickerName` varchar(128) DEFAULT NULL COMMENT '取件人姓名',
  `pickerIDCardNo` varchar(64) DEFAULT NULL COMMENT '取件人证件号码',
  `holderType` tinyint(2) NOT NULL COMMENT '持有者类型，1：自然人，2：法人，3：自然人法人',
  `holderIdType` tinyint(2) NOT NULL COMMENT '持有者证件类型，1：身份证，2：组织机构代码等',
  `holderName` varchar(64) NOT NULL COMMENT '持有者名称',
  `holderIDCardNo` varchar(64) DEFAULT NULL COMMENT '持有者证件号码',
  `enterpriseName` varchar(128) NOT NULL COMMENT '企业名称',
  `validityStart` datetime DEFAULT NULL COMMENT '有效期起始',
  `validityEnd` datetime DEFAULT NULL COMMENT '有效期截止',
  `privateID` varchar(128) DEFAULT NULL COMMENT '专网ID',
  `originalUrl` varchar(128) DEFAULT NULL COMMENT '正本附件地址',
  `oriPreview` varchar(128) DEFAULT NULL COMMENT '正本预览地址',
  `oriFormContent` text COMMENT '证照模板正本表单内容',
  `oriFormTemplate` text COMMENT '证照模板正本表单内容',
  `duplicateUrl` varchar(128) DEFAULT NULL COMMENT '副本附件地址',
  `dupPreview` varchar(128) DEFAULT NULL COMMENT '副本预览地址',
  `dupFormContent` text COMMENT '证照模板副本表单内容',
  `dupFormTemplate` text COMMENT '证照模板副本表单内容',
  `generateStatus` tinyint(2) DEFAULT NULL COMMENT '生成状态1未生成2正本3副本4正副本',
  `createUserId` bigint(20) NOT NULL COMMENT '创建用户',
  `createTime` datetime NOT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='证照申请';

-- ----------------------------
-- Records of mortals_xhx_apply_log
-- ----------------------------
INSERT INTO `mortals_xhx_apply_log` VALUES ('1', '1', 'cxuyh4', '卫生许可证', '2022-10-14 12:11:11', '张三', '12345678', '1', '1', '李四', '12334569086765', '成都壹糖文化传播有限公司', '2022-10-14 12:11:11', '2022-10-14 12:11:11', 'f45vg6', '/preview/739179434782.jpg', null, '{\n    \"i_1_卫\": \"字\",\n    \"i_2_字\": \"1\",\n    \"i_3_号\": \"2\",\n    \"i_14_年\": \"2022\",\n    \"i_15_月\": \"3\",\n    \"i_16_日\": \"12\",\n    \"i_4_单位名称\": \"香蕉传媒\",\n    \"i_5_法定代表人\": \"张三\",\n    \"i_6_地址\": \"成都市高新区\",\n    \"i_7_许可项目\": \"教育\",\n    \"i_8_年始\": \"2022\",\n    \"i_9_月始\": \"2\",\n    \"i_10_日始\": \"12\",\n    \"i_11_年止\": \"2023\",\n    \"i_12_月止\": \"12\",\n    \"i_13_日止\": \"12\",\n    \"i_14_年\": \"2012\",\n    \"i_15_月\": \"12\",\n    \"i_15_日\": \"12\",\n    \"@image_1_照片\": \"file/uploadfile/test.jpg\"\n}', null, null, null, null, null, null, '1', '2022-10-22 16:55:02', null, null);

-- ----------------------------
-- Table structure for mortals_xhx_area
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_area`;
CREATE TABLE `mortals_xhx_area` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键,自增长',
  `parentId` bigint(20) DEFAULT NULL COMMENT '上级区域ID',
  `name` varchar(100) DEFAULT NULL COMMENT '区域名称',
  `level` tinyint(4) DEFAULT NULL COMMENT '区域级别，按所处树的节点层次',
  `code` varchar(20) DEFAULT NULL COMMENT '区域编码，按全国省市编码',
  `contactsPeople` varchar(50) DEFAULT NULL COMMENT '区域负责人',
  `contactsMobile` varchar(21) DEFAULT NULL COMMENT '区域负责人电话',
  `childSize` int(11) DEFAULT '0' COMMENT '子区域数量，默认0',
  `maxChildId` int(11) DEFAULT '0' COMMENT '子区域的最大ID，默认0',
  `status` tinyint(4) DEFAULT '1' COMMENT '状态，0停用，1启用',
  `remark` varchar(200) DEFAULT NULL COMMENT '描述',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户ID',
  `createUserName` varchar(50) DEFAULT NULL COMMENT '创建用户名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='区域信息';

-- ----------------------------
-- Records of mortals_xhx_area
-- ----------------------------

-- ----------------------------
-- Table structure for mortals_xhx_certificate_catalog
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_certificate_catalog`;
CREATE TABLE `mortals_xhx_certificate_catalog` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `catalogName` varchar(64) NOT NULL COMMENT '目录名称',
  `catalogCode` varchar(64) NOT NULL COMMENT '目录编号',
  `holderType` tinyint(2) NOT NULL COMMENT '持有者类型，1：自然人；2：法人；3：自然人，法人',
  `industryId` bigint(20) NOT NULL COMMENT '所属行业',
  `classifyId` bigint(20) NOT NULL COMMENT '所属分类',
  `transverse` int(8) NOT NULL COMMENT '横向尺寸(单位mm)',
  `portrait` int(8) NOT NULL COMMENT '纵向尺寸(单位mm)',
  `inspect` tinyint(2) NOT NULL COMMENT '是否需要年检，0：否1：是',
  `oriFileName` varchar(64) DEFAULT NULL COMMENT '证照模板正本文件名称',
  `originalUrl` varchar(128) DEFAULT NULL COMMENT '证照模板正本文件地址',
  `oriFormContent` text COMMENT '证照模板正本表单内容',
  `dupFileName` varchar(64) DEFAULT NULL COMMENT '证照模板副本文件名称',
  `duplicateUrl` varchar(128) DEFAULT NULL COMMENT '证照模板副本文件地址',
  `dupFormContent` text COMMENT '证照模板副本表单内容',
  `exampleUrl` varchar(128) DEFAULT NULL COMMENT '证照示例图地址',
  `status` tinyint(2) DEFAULT NULL COMMENT '证照状态，0：禁用1：启用',
  `printerName` varchar(128) DEFAULT NULL COMMENT '打印机名称',
  `printerIp` varchar(128) DEFAULT NULL COMMENT '打印机网络地址',
  `paperSource` varchar(128) DEFAULT NULL COMMENT '打印机纸盒',
  `createUserId` bigint(20) NOT NULL COMMENT '创建用户',
  `createTime` datetime NOT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='证照目录';

-- ----------------------------
-- Records of mortals_xhx_certificate_catalog
-- ----------------------------
INSERT INTO `mortals_xhx_certificate_catalog` VALUES ('1', '新津公共场所卫生许可证', 'ze4s5n', '1', '1', '1', '800', '600', '0', '许可证正本', 'file/uploadfile/1666168489388.docx', '{\"config\":{\"disabled\":false,\"dynamicTableAllowed\":true,\"formModel\":\"form\",\"formRef\":\"elForm\",\"formRules\":\"rules\",\"gutter\":15,\"labelPosition\":\"top\",\"labelWidth\":120,\"rules\":\"rules\",\"size\":\"medium\",\"version\":\"1.10\"},\"list\":[{\"_id\":\"i_1_卫\",\"append\":\"\",\"clearable\":true,\"compIcon\":\"input\",\"compName\":\"卫\",\"compType\":\"input\",\"config\":true,\"disabled\":false,\"ele\":\"el-input\",\"gutter\":15,\"id\":\"i_1_卫\",\"label\":\"卫\",\"labelWidth\":120,\"layout\":\"colItem\",\"maxLength\":50,\"placeholder\":\"请输入卫\",\"prefix-icon\":\"\",\"prepend\":\"\",\"readonly\":false,\"required\":false,\"rules\":[],\"rulesType\":\"default\",\"showLabel\":true,\"span\":24,\"status\":\"normal\",\"viewType\":\"text\",\"width\":\"100%\"},{\"_id\":\"i_2_字\",\"append\":\"\",\"clearable\":true,\"compIcon\":\"input\",\"compName\":\"字\",\"compType\":\"input\",\"config\":true,\"disabled\":false,\"ele\":\"el-input\",\"gutter\":15,\"id\":\"i_2_字\",\"label\":\"字\",\"labelWidth\":120,\"layout\":\"colItem\",\"maxLength\":50,\"placeholder\":\"请输入字\",\"prefix-icon\":\"\",\"prepend\":\"\",\"readonly\":false,\"required\":false,\"rules\":[],\"rulesType\":\"default\",\"showLabel\":true,\"span\":24,\"status\":\"normal\",\"viewType\":\"text\",\"width\":\"100%\"},{\"_id\":\"i_3_号\",\"append\":\"\",\"clearable\":true,\"compIcon\":\"input\",\"compName\":\"号\",\"compType\":\"input\",\"config\":true,\"disabled\":false,\"ele\":\"el-input\",\"gutter\":15,\"id\":\"i_3_号\",\"label\":\"号\",\"labelWidth\":120,\"layout\":\"colItem\",\"maxLength\":50,\"placeholder\":\"请输入号\",\"prefix-icon\":\"\",\"prepend\":\"\",\"readonly\":false,\"required\":false,\"rules\":[],\"rulesType\":\"default\",\"showLabel\":true,\"span\":24,\"status\":\"normal\",\"viewType\":\"text\",\"width\":\"100%\"},{\"_id\":\"i_14_年\",\"append\":\"\",\"clearable\":true,\"compIcon\":\"input\",\"compName\":\"年\",\"compType\":\"input\",\"config\":true,\"disabled\":false,\"ele\":\"el-input\",\"gutter\":15,\"id\":\"i_14_年\",\"label\":\"年\",\"labelWidth\":120,\"layout\":\"colItem\",\"maxLength\":50,\"placeholder\":\"请输入年\",\"prefix-icon\":\"\",\"prepend\":\"\",\"readonly\":false,\"required\":false,\"rules\":[],\"rulesType\":\"default\",\"showLabel\":true,\"span\":24,\"status\":\"normal\",\"viewType\":\"text\",\"width\":\"100%\"},{\"_id\":\"i_15_月\",\"append\":\"\",\"clearable\":true,\"compIcon\":\"input\",\"compName\":\"月\",\"compType\":\"input\",\"config\":true,\"disabled\":false,\"ele\":\"el-input\",\"gutter\":15,\"id\":\"i_15_月\",\"label\":\"月\",\"labelWidth\":120,\"layout\":\"colItem\",\"maxLength\":50,\"placeholder\":\"请输入月\",\"prefix-icon\":\"\",\"prepend\":\"\",\"readonly\":false,\"required\":false,\"rules\":[],\"rulesType\":\"default\",\"showLabel\":true,\"span\":24,\"status\":\"normal\",\"viewType\":\"text\",\"width\":\"100%\"},{\"_id\":\"i_16_日\",\"append\":\"\",\"clearable\":true,\"compIcon\":\"input\",\"compName\":\"日\",\"compType\":\"input\",\"config\":true,\"disabled\":false,\"ele\":\"el-input\",\"gutter\":15,\"id\":\"i_16_日\",\"label\":\"日\",\"labelWidth\":120,\"layout\":\"colItem\",\"maxLength\":50,\"placeholder\":\"请输入日\",\"prefix-icon\":\"\",\"prepend\":\"\",\"readonly\":false,\"required\":false,\"rules\":[],\"rulesType\":\"default\",\"showLabel\":true,\"span\":24,\"status\":\"normal\",\"viewType\":\"text\",\"width\":\"100%\"},{\"_id\":\"i_4_单位名称\",\"append\":\"\",\"clearable\":true,\"compIcon\":\"input\",\"compName\":\"单位名称\",\"compType\":\"input\",\"config\":true,\"disabled\":false,\"ele\":\"el-input\",\"gutter\":15,\"id\":\"i_4_单位名称\",\"label\":\"单位名称\",\"labelWidth\":120,\"layout\":\"colItem\",\"maxLength\":50,\"placeholder\":\"请输入单位名称\",\"prefix-icon\":\"\",\"prepend\":\"\",\"readonly\":false,\"required\":false,\"rules\":[],\"rulesType\":\"default\",\"showLabel\":true,\"span\":24,\"status\":\"normal\",\"viewType\":\"text\",\"width\":\"100%\"},{\"_id\":\"i_5_法定代表人\",\"append\":\"\",\"clearable\":true,\"compIcon\":\"input\",\"compName\":\"法定代表人\",\"compType\":\"input\",\"config\":true,\"disabled\":false,\"ele\":\"el-input\",\"gutter\":15,\"id\":\"i_5_法定代表人\",\"label\":\"法定代表人\",\"labelWidth\":120,\"layout\":\"colItem\",\"maxLength\":50,\"placeholder\":\"请输入法定代表人\",\"prefix-icon\":\"\",\"prepend\":\"\",\"readonly\":false,\"required\":false,\"rules\":[],\"rulesType\":\"default\",\"showLabel\":true,\"span\":24,\"status\":\"normal\",\"viewType\":\"text\",\"width\":\"100%\"},{\"_id\":\"i_6_地址\",\"append\":\"\",\"clearable\":true,\"compIcon\":\"input\",\"compName\":\"地址\",\"compType\":\"input\",\"config\":true,\"disabled\":false,\"ele\":\"el-input\",\"gutter\":15,\"id\":\"i_6_地址\",\"label\":\"地址\",\"labelWidth\":120,\"layout\":\"colItem\",\"maxLength\":50,\"placeholder\":\"请输入地址\",\"prefix-icon\":\"\",\"prepend\":\"\",\"readonly\":false,\"required\":false,\"rules\":[],\"rulesType\":\"default\",\"showLabel\":true,\"span\":24,\"status\":\"normal\",\"viewType\":\"text\",\"width\":\"100%\"},{\"_id\":\"i_7_许可项目\",\"append\":\"\",\"clearable\":true,\"compIcon\":\"input\",\"compName\":\"许可项目\",\"compType\":\"input\",\"config\":true,\"disabled\":false,\"ele\":\"el-input\",\"gutter\":15,\"id\":\"i_7_许可项目\",\"label\":\"许可项目\",\"labelWidth\":120,\"layout\":\"colItem\",\"maxLength\":50,\"placeholder\":\"请输入许可项目\",\"prefix-icon\":\"\",\"prepend\":\"\",\"readonly\":false,\"required\":false,\"rules\":[],\"rulesType\":\"default\",\"showLabel\":true,\"span\":24,\"status\":\"normal\",\"viewType\":\"text\",\"width\":\"100%\"},{\"_id\":\"i_8_年始\",\"append\":\"\",\"clearable\":true,\"compIcon\":\"input\",\"compName\":\"年始\",\"compType\":\"input\",\"config\":true,\"disabled\":false,\"ele\":\"el-input\",\"gutter\":15,\"id\":\"i_8_年始\",\"label\":\"年始\",\"labelWidth\":120,\"layout\":\"colItem\",\"maxLength\":50,\"placeholder\":\"请输入年始\",\"prefix-icon\":\"\",\"prepend\":\"\",\"readonly\":false,\"required\":false,\"rules\":[],\"rulesType\":\"default\",\"showLabel\":true,\"span\":24,\"status\":\"normal\",\"viewType\":\"text\",\"width\":\"100%\"},{\"_id\":\"i_9_月始\",\"append\":\"\",\"clearable\":true,\"compIcon\":\"input\",\"compName\":\"月始\",\"compType\":\"input\",\"config\":true,\"disabled\":false,\"ele\":\"el-input\",\"gutter\":15,\"id\":\"i_9_月始\",\"label\":\"月始\",\"labelWidth\":120,\"layout\":\"colItem\",\"maxLength\":50,\"placeholder\":\"请输入月始\",\"prefix-icon\":\"\",\"prepend\":\"\",\"readonly\":false,\"required\":false,\"rules\":[],\"rulesType\":\"default\",\"showLabel\":true,\"span\":24,\"status\":\"normal\",\"viewType\":\"text\",\"width\":\"100%\"},{\"_id\":\"i_10_日始\",\"append\":\"\",\"clearable\":true,\"compIcon\":\"input\",\"compName\":\"日始\",\"compType\":\"input\",\"config\":true,\"disabled\":false,\"ele\":\"el-input\",\"gutter\":15,\"id\":\"i_10_日始\",\"label\":\"日始\",\"labelWidth\":120,\"layout\":\"colItem\",\"maxLength\":50,\"placeholder\":\"请输入日始\",\"prefix-icon\":\"\",\"prepend\":\"\",\"readonly\":false,\"required\":false,\"rules\":[],\"rulesType\":\"default\",\"showLabel\":true,\"span\":24,\"status\":\"normal\",\"viewType\":\"text\",\"width\":\"100%\"},{\"_id\":\"i_11_年止\",\"append\":\"\",\"clearable\":true,\"compIcon\":\"input\",\"compName\":\"年止\",\"compType\":\"input\",\"config\":true,\"disabled\":false,\"ele\":\"el-input\",\"gutter\":15,\"id\":\"i_11_年止\",\"label\":\"年止\",\"labelWidth\":120,\"layout\":\"colItem\",\"maxLength\":50,\"placeholder\":\"请输入年止\",\"prefix-icon\":\"\",\"prepend\":\"\",\"readonly\":false,\"required\":false,\"rules\":[],\"rulesType\":\"default\",\"showLabel\":true,\"span\":24,\"status\":\"normal\",\"viewType\":\"text\",\"width\":\"100%\"},{\"_id\":\"i_12_月止\",\"append\":\"\",\"clearable\":true,\"compIcon\":\"input\",\"compName\":\"月止\",\"compType\":\"input\",\"config\":true,\"disabled\":false,\"ele\":\"el-input\",\"gutter\":15,\"id\":\"i_12_月止\",\"label\":\"月止\",\"labelWidth\":120,\"layout\":\"colItem\",\"maxLength\":50,\"placeholder\":\"请输入月止\",\"prefix-icon\":\"\",\"prepend\":\"\",\"readonly\":false,\"required\":false,\"rules\":[],\"rulesType\":\"default\",\"showLabel\":true,\"span\":24,\"status\":\"normal\",\"viewType\":\"text\",\"width\":\"100%\"},{\"_id\":\"i_13_日止\",\"append\":\"\",\"clearable\":true,\"compIcon\":\"input\",\"compName\":\"日止\",\"compType\":\"input\",\"config\":true,\"disabled\":false,\"ele\":\"el-input\",\"gutter\":15,\"id\":\"i_13_日止\",\"label\":\"日止\",\"labelWidth\":120,\"layout\":\"colItem\",\"maxLength\":50,\"placeholder\":\"请输入日止\",\"prefix-icon\":\"\",\"prepend\":\"\",\"readonly\":false,\"required\":false,\"rules\":[],\"rulesType\":\"default\",\"showLabel\":true,\"span\":24,\"status\":\"normal\",\"viewType\":\"text\",\"width\":\"100%\"},{\"_id\":\"@image_1_照片\",\"accept\":\"jpg,png,jpeg,bmp\",\"action\":\"http://localhost:17215/fsm/file/commonupload?prePath=/file/uploadfile\",\"compIcon\":\"att\",\"compName\":\"附件\",\"compType\":\"upload\",\"config\":true,\"ele\":\"el-upload\",\"fileSize\":10,\"id\":\"@image_1_照片\",\"label\":\"照片\",\"labelWidth\":120,\"layout\":\"colItem\",\"list-type\":\"picture-card\",\"multiple\":false,\"name\":\"file\",\"required\":false,\"show-file-list\":true,\"showLabel\":true,\"showTip\":false,\"tips\":\"点击按钮上传附件\",\"viewType\":\"component\"}]}', null, null, null, null, '1', null, null, null, '1', '2022-10-19 16:35:26', '1', '2022-10-19 16:35:26');

-- ----------------------------
-- Table structure for mortals_xhx_certificate_classify
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_certificate_classify`;
CREATE TABLE `mortals_xhx_certificate_classify` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `classifyName` varchar(64) NOT NULL COMMENT '分类名称',
  `sort` int(4) DEFAULT NULL COMMENT '排序号',
  `total` int(8) DEFAULT NULL COMMENT '打印次数',
  `showFront` tinyint(2) DEFAULT NULL COMMENT '是否首页展示0：否1是',
  `classifyType` tinyint(2) DEFAULT NULL COMMENT '证照类型，1：普通，2：正副本',
  `createUserId` bigint(20) NOT NULL COMMENT '创建用户',
  `createTime` datetime NOT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='证照分类';

-- ----------------------------
-- Records of mortals_xhx_certificate_classify
-- ----------------------------
INSERT INTO `mortals_xhx_certificate_classify` VALUES ('1', '食品经营许可证', '0', '0', '0', '1', '1', '2022-10-22 10:43:53', null, null);

-- ----------------------------
-- Table structure for mortals_xhx_certificate_industry
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_certificate_industry`;
CREATE TABLE `mortals_xhx_certificate_industry` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `parentId` bigint(20) NOT NULL COMMENT '父级id',
  `industryName` varchar(64) NOT NULL COMMENT '行业名称',
  `createUserId` bigint(20) NOT NULL COMMENT '创建用户',
  `createTime` datetime NOT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='行业目录';

-- ----------------------------
-- Records of mortals_xhx_certificate_industry
-- ----------------------------
INSERT INTO `mortals_xhx_certificate_industry` VALUES ('1', '-1', '食药监', '1', '2022-10-19 16:27:58', '1', '2022-10-19 16:27:58');

-- ----------------------------
-- Table structure for mortals_xhx_device
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_device`;
CREATE TABLE `mortals_xhx_device` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `deviceName` varchar(64) NOT NULL COMMENT '设备名称',
  `deviceCode` varchar(128) DEFAULT NULL COMMENT '设备编码',
  `deviceType` tinyint(2) DEFAULT NULL COMMENT '设备类型1证照柜',
  `deviceMac` varchar(64) DEFAULT NULL COMMENT 'Mac地址',
  `deviceFirmname` varchar(20) DEFAULT NULL COMMENT '设备厂商',
  `ip` varchar(64) DEFAULT NULL COMMENT '设备IP地址',
  `port` varchar(64) DEFAULT NULL COMMENT '端口号',
  `resolution` varchar(64) DEFAULT NULL COMMENT '设备分辨率',
  `leadingOfficial` varchar(64) DEFAULT NULL COMMENT '负责人',
  `telephone` varchar(64) DEFAULT NULL COMMENT '负责人电话',
  `longitude` varchar(64) DEFAULT NULL COMMENT '设备经度',
  `latitude` varchar(64) DEFAULT NULL COMMENT '设备纬度',
  `building` tinyint(2) DEFAULT NULL COMMENT '所在楼宇',
  `floor` tinyint(2) DEFAULT NULL COMMENT '所在楼层',
  `managePWD` varchar(64) DEFAULT NULL COMMENT '管理员密码',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  `status` tinyint(2) DEFAULT NULL COMMENT '设备状态，0：未激活，1：离线:2：在线',
  `enabled` tinyint(2) DEFAULT NULL COMMENT '启停状态，0：停用,1：启用',
  `createUserId` bigint(20) NOT NULL COMMENT '创建用户',
  `createTime` datetime NOT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='证照柜设备';

-- ----------------------------
-- Records of mortals_xhx_device
-- ----------------------------

-- ----------------------------
-- Table structure for mortals_xhx_device_module
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_device_module`;
CREATE TABLE `mortals_xhx_device_module` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `deviceId` bigint(20) NOT NULL COMMENT '设备Id',
  `deviceName` varchar(64) NOT NULL COMMENT '设备名称',
  `moduleName` varchar(64) NOT NULL COMMENT '模块名称',
  `productName` varchar(64) NOT NULL COMMENT '产品名称',
  `networkAddress` varchar(64) DEFAULT NULL COMMENT '网络地址',
  `cartonType` varchar(64) DEFAULT NULL COMMENT '纸盒',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='证照柜设备';

-- ----------------------------
-- Records of mortals_xhx_device_module
-- ----------------------------

-- ----------------------------
-- Table structure for mortals_xhx_idgenerator
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_idgenerator`;
CREATE TABLE `mortals_xhx_idgenerator` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `idType` varchar(50) NOT NULL COMMENT 'id类型',
  `idMaxValue` bigint(20) unsigned NOT NULL COMMENT 'id值',
  `remark` varchar(100) NOT NULL COMMENT '备注',
  `versionNum` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '版本号，默认0',
  `gmtModify` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '最后修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='主键Id生成器';

-- ----------------------------
-- Records of mortals_xhx_idgenerator
-- ----------------------------

-- ----------------------------
-- Table structure for mortals_xhx_menu
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_menu`;
CREATE TABLE `mortals_xhx_menu` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID，主键，自增长',
  `name` varchar(50) DEFAULT NULL COMMENT '菜单名称',
  `url` varchar(256) DEFAULT NULL COMMENT '连接地址',
  `parentId` bigint(20) DEFAULT NULL COMMENT '父菜单ID，一级菜单的该字段值为-1',
  `orderId` int(11) DEFAULT NULL COMMENT '排序编号',
  `status` tinyint(2) DEFAULT '1' COMMENT '菜单状态，0：禁用，1：启用，默认1',
  `linkType` tinyint(2) DEFAULT '0' COMMENT '链接方式，0：普通，1：弹出，2：脚本（JavaScript），默认0',
  `groupId` int(11) DEFAULT '1' COMMENT '分组编号，使用菜单分隔符按该值分隔，默认1',
  `groupName` varchar(255) DEFAULT NULL,
  `imgPath` varchar(128) DEFAULT NULL COMMENT '主菜单图标，主菜单图标的css样式名',
  `buttonImgPath` varchar(128) DEFAULT NULL COMMENT '按钮图标，按钮图标的css样式名',
  `imgCommPath` varchar(128) DEFAULT NULL COMMENT '常用菜单图标，常用菜单图标的css样式名',
  `commMenu` tinyint(2) DEFAULT '0' COMMENT '是否常用菜单，0：非常用，1：常用，默认0',
  `menuType` tinyint(2) DEFAULT '0' COMMENT '菜单类型，0：主菜单，1：非主菜单(功能操作组)，默认0',
  `authType` tinyint(2) DEFAULT '3' COMMENT '权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) DEFAULT NULL COMMENT '创建用户名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='菜单信息';

-- ----------------------------
-- Records of mortals_xhx_menu
-- ----------------------------

-- ----------------------------
-- Table structure for mortals_xhx_oper_log
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_oper_log`;
CREATE TABLE `mortals_xhx_oper_log` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `platformMark` varchar(50) DEFAULT NULL COMMENT '平台标识',
  `userId` bigint(20) DEFAULT NULL COMMENT '用户id',
  `userName` varchar(50) DEFAULT NULL COMMENT '用户名称',
  `loginName` varchar(50) DEFAULT NULL COMMENT '用户登录名',
  `requestUrl` varchar(200) DEFAULT NULL COMMENT '请求地址',
  `content` varchar(2000) DEFAULT NULL COMMENT '操作内容，记录操作具体信息，如修改前修改或的数据',
  `ip` varchar(30) DEFAULT NULL COMMENT '操作IP地址',
  `logDate` datetime DEFAULT NULL COMMENT '操作时间',
  `operType` tinyint(2) DEFAULT NULL COMMENT '操作类型，0：新增，1：修改，2：删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='操作日志';

-- ----------------------------
-- Records of mortals_xhx_oper_log
-- ----------------------------

-- ----------------------------
-- Table structure for mortals_xhx_param
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_param`;
CREATE TABLE `mortals_xhx_param` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `name` varchar(100) DEFAULT NULL COMMENT '参数名称',
  `firstOrganize` varchar(100) DEFAULT NULL COMMENT '一级组织，如：平台配置',
  `secondOrganize` varchar(100) DEFAULT NULL COMMENT '二级组织，如：基础配置',
  `paramKey` varchar(100) DEFAULT NULL COMMENT '参数键，全局唯一',
  `paramValue` varchar(2000) DEFAULT NULL COMMENT '参数值',
  `validStatus` tinyint(2) DEFAULT '1' COMMENT '参数有效状态，0：禁用，1：启用，默认1',
  `modStatus` tinyint(2) DEFAULT '4' COMMENT '参数修改状态，0：隐藏，1：页面仅查看，2：页面可修改，3：页面可删除，4：页面可修改删除，默认4',
  `displayType` tinyint(2) DEFAULT '0' COMMENT '展现类型，0：普通文本框，1：多行文本框，2：开关，3：块输入框，默认：0',
  `remark` varchar(200) DEFAULT NULL COMMENT '备注',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) DEFAULT NULL COMMENT '创建用户名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='参数信息';

-- ----------------------------
-- Records of mortals_xhx_param
-- ----------------------------
INSERT INTO `mortals_xhx_param` VALUES ('1', '允许打印最高次数', null, null, 'print:max:count', '0', '1', '4', '0', '空白打印材料展示数量', null, null, null);

-- ----------------------------
-- Table structure for mortals_xhx_print_log
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_print_log`;
CREATE TABLE `mortals_xhx_print_log` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `catalogCode` varchar(64) NOT NULL COMMENT '证照目录编号',
  `certificateName` varchar(64) NOT NULL COMMENT '证照名称',
  `certificateCode` varchar(64) NOT NULL COMMENT '证照编号',
  `enterpriseName` varchar(128) NOT NULL COMMENT '企业名称',
  `holderName` varchar(64) NOT NULL COMMENT '持有者姓名',
  `holderIDCardNo` varchar(64) DEFAULT NULL COMMENT '持有者证件号码',
  `pickerName` varchar(128) DEFAULT NULL COMMENT '取件人姓名',
  `pickerIDCardNo` varchar(64) DEFAULT NULL COMMENT '取件人证件号码',
  `originalCount` int(4) NOT NULL COMMENT '正本数',
  `duplicateCount` int(4) NOT NULL COMMENT '副本数',
  `printStatus` tinyint(2) NOT NULL COMMENT '打印状态1打印成功2失败',
  `statusRemark` varchar(128) DEFAULT NULL COMMENT '打印结果描述',
  `printDate` datetime NOT NULL COMMENT '打印时间',
  `deviceId` bigint(20) DEFAULT NULL COMMENT '打印设备',
  `createUserId` bigint(20) NOT NULL COMMENT '创建用户',
  `createTime` datetime NOT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
  `catalogId` bigint(20) DEFAULT NULL COMMENT '证照目录ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COMMENT='证照打印记录';

-- ----------------------------
-- Records of mortals_xhx_print_log
-- ----------------------------
INSERT INTO `mortals_xhx_print_log` VALUES ('1', 'ze4s5n', '卫生许可证', 'cxuyh4', '成都壹糖文化传播有限公司', '廖至敬', '12334569086765', null, null, '1', '0', '1', null, '2022-10-22 17:09:00', null, '1', '2022-10-22 17:09:00', null, null, '1');
INSERT INTO `mortals_xhx_print_log` VALUES ('2', 'ze4s5n', '卫生许可证', 'cxuyh4', '成都壹糖文化传播有限公司', '廖至敬', '12334569086765', '张三', '12345678', '1', '0', '2', '错误测试', '2022-10-26 11:33:30', null, '1', '2022-10-26 11:33:30', null, null, '1');
INSERT INTO `mortals_xhx_print_log` VALUES ('3', 'ze4s5n', '卫生许可证', 'cxuyh4', '成都壹糖文化传播有限公司', '廖至敬', '12334569086765', '张三', '12345678', '1', '0', '1', null, '2022-10-26 11:35:55', null, '1', '2022-10-26 11:35:55', null, null, '1');

-- ----------------------------
-- Table structure for mortals_xhx_print_wait_queue
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_print_wait_queue`;
CREATE TABLE `mortals_xhx_print_wait_queue` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `applyId` bigint(20) DEFAULT NULL COMMENT '申请ID',
  `catalogCode` varchar(64) NOT NULL COMMENT '证照目录编号',
  `certificateName` varchar(64) NOT NULL COMMENT '证照名称',
  `certificateCode` varchar(64) NOT NULL COMMENT '证照编号',
  `enterpriseName` varchar(128) NOT NULL COMMENT '企业名称',
  `holderName` varchar(64) NOT NULL COMMENT '持有者姓名',
  `holderIDCardNo` varchar(64) DEFAULT NULL COMMENT '持有者证件号码',
  `pickerName` varchar(128) DEFAULT NULL COMMENT '取件人姓名',
  `pickerIDCardNo` varchar(64) DEFAULT NULL COMMENT '取件人证件号码',
  `certificateType` tinyint(2) NOT NULL COMMENT '证件类型1正本2副本',
  `previewUrl` varchar(128) DEFAULT NULL COMMENT '证件预览地址',
  `certificateUrl` varchar(128) DEFAULT NULL COMMENT '证件附件地址',
  `printStatus` tinyint(2) NOT NULL COMMENT '是否打印0否1是',
  `createUserId` bigint(20) NOT NULL COMMENT '创建用户',
  `createTime` datetime NOT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
  `catalogId` bigint(20) DEFAULT NULL COMMENT '证照目录ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='证照打印记录';

-- ----------------------------
-- Records of mortals_xhx_print_wait_queue
-- ----------------------------
INSERT INTO `mortals_xhx_print_wait_queue` VALUES ('1', '1', 'ze4s5n', '卫生许可证', 'cxuyh4', '成都壹糖文化传播有限公司', '廖至敬', '12334569086765', '张三', '12345678', '1', null, '/preview/739179434782.jpg', '1', '1', '2022-10-22 16:55:02', null, '2022-10-26 11:35:55', '1');

-- ----------------------------
-- Table structure for mortals_xhx_resource
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_resource`;
CREATE TABLE `mortals_xhx_resource` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID，主键，自增长',
  `name` varchar(50) DEFAULT NULL COMMENT '名称',
  `url` varchar(2000) DEFAULT NULL COMMENT '连接地址，多个地址以逗号分隔',
  `authType` tinyint(2) DEFAULT '3' COMMENT '权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3',
  `sourceType` tinyint(2) DEFAULT '0' COMMENT '资源类型，0：系统资源，1：开放资源，默认0',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) DEFAULT NULL COMMENT '创建用户名称',
  `userType` tinyint(2) DEFAULT NULL COMMENT '用户类型，0：系统用户 1:代理商用户 2:品牌商用户',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='资源信息';

-- ----------------------------
-- Records of mortals_xhx_resource
-- ----------------------------

-- ----------------------------
-- Table structure for mortals_xhx_retain_log
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_retain_log`;
CREATE TABLE `mortals_xhx_retain_log` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `catalogCode` varchar(64) NOT NULL COMMENT '证照目录编号',
  `certificateName` varchar(64) NOT NULL COMMENT '证照名称',
  `certificateCode` varchar(64) NOT NULL COMMENT '证照编号',
  `enterpriseName` varchar(128) NOT NULL COMMENT '企业名称',
  `holderName` varchar(64) NOT NULL COMMENT '持有者姓名',
  `holderIDCardNo` varchar(64) DEFAULT NULL COMMENT '持有者证件号码',
  `certificateStatus` tinyint(2) NOT NULL COMMENT '证照状态，1正常2注销',
  `originalCount` int(4) NOT NULL COMMENT '正本数',
  `duplicateCount` int(4) NOT NULL COMMENT '副本数',
  `originalUrl` varchar(128) DEFAULT NULL COMMENT '正本附件地址',
  `duplicateUrl` varchar(128) DEFAULT NULL COMMENT '副本附件地址',
  `createUserId` bigint(20) NOT NULL COMMENT '创建用户',
  `createTime` datetime NOT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
  `catalogId` bigint(20) DEFAULT NULL COMMENT '证照目录ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='证照持有';

-- ----------------------------
-- Records of mortals_xhx_retain_log
-- ----------------------------
INSERT INTO `mortals_xhx_retain_log` VALUES ('1', 'ze4s5n', '卫生许可证', 'cxuyh4', '成都壹糖文化传播有限公司', '廖至敬', '12334569086765', '1', '1', '0', '/preview/739179434782.jpg', null, '1', '2022-10-22 17:09:00', null, null, '1');
INSERT INTO `mortals_xhx_retain_log` VALUES ('2', 'ze4s5n', '卫生许可证', 'cxuyh4', '成都壹糖文化传播有限公司', '廖至敬', '12334569086765', '1', '1', '0', '/preview/739179434782.jpg', null, '1', '2022-10-26 11:35:55', null, null, '1');

-- ----------------------------
-- Table structure for mortals_xhx_role
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_role`;
CREATE TABLE `mortals_xhx_role` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `name` varchar(50) DEFAULT NULL COMMENT '角色名称',
  `remark` varchar(200) DEFAULT NULL COMMENT '备注',
  `roleType` tinyint(2) DEFAULT '2' COMMENT '角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2',
  `customerId` bigint(20) DEFAULT NULL COMMENT '归属客户ID',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) DEFAULT NULL COMMENT '创建用户名称',
  `userType` tinyint(2) DEFAULT NULL COMMENT '用户类型，0：系统用户 1:代理商用户 2:品牌商用户',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='角色信息';

-- ----------------------------
-- Records of mortals_xhx_role
-- ----------------------------

-- ----------------------------
-- Table structure for mortals_xhx_role_auth
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_role_auth`;
CREATE TABLE `mortals_xhx_role_auth` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `roleId` bigint(20) DEFAULT NULL COMMENT '角色ID',
  `resourceId` bigint(20) DEFAULT NULL COMMENT '资源ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='角色资源权限';

-- ----------------------------
-- Records of mortals_xhx_role_auth
-- ----------------------------

-- ----------------------------
-- Table structure for mortals_xhx_role_user
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_role_user`;
CREATE TABLE `mortals_xhx_role_user` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `roleId` bigint(20) DEFAULT NULL COMMENT '角色ID',
  `userId` bigint(20) DEFAULT NULL COMMENT '用户ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='角色用户';

-- ----------------------------
-- Records of mortals_xhx_role_user
-- ----------------------------

-- ----------------------------
-- Table structure for mortals_xhx_task
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_task`;
CREATE TABLE `mortals_xhx_task` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `name` varchar(100) DEFAULT NULL COMMENT '任务名称',
  `taskKey` varchar(100) DEFAULT NULL COMMENT '任务关键字，区分任务执行流程',
  `status` tinyint(2) DEFAULT '0' COMMENT '任务状态，0：未启动，1：执行中，默认0',
  `excuteService` varchar(100) DEFAULT NULL COMMENT '任务执行服务',
  `excuteParam` text COMMENT '任务执行参数',
  `excuteHost` varchar(200) DEFAULT NULL COMMENT '任务执行主机，为空表示不限制任务的执行主机，多个用逗号分隔',
  `excuteStrategy` tinyint(2) DEFAULT '1' COMMENT '执行策略，1：按日，2：按周，3：按月，4：按间隔时间，默认1',
  `excuteDate` int(11) DEFAULT '0' COMMENT '执行日期，按日：则为0；按周：则为1-7；按月：则为：1-31；按间隔时间：则为间隔时间，单位：秒；默认0',
  `excuteTime` varchar(10) DEFAULT '00' COMMENT '执行时间，格式：HH:mm，默认：00:00',
  `remark` varchar(200) DEFAULT NULL COMMENT '备注',
  `lastExcuteHost` varchar(32) DEFAULT NULL COMMENT '最后执行主机',
  `lastExcuteTime` datetime DEFAULT NULL COMMENT '最后执行时间',
  `interimExcuteStatus` tinyint(2) DEFAULT '0' COMMENT '临时执行状态，0：未启用，1：立即执行并保留，2：立即执行并删除，默认0',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) DEFAULT NULL COMMENT '创建用户名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='任务信息';

-- ----------------------------
-- Records of mortals_xhx_task
-- ----------------------------

-- ----------------------------
-- Table structure for mortals_xhx_user
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_user`;
CREATE TABLE `mortals_xhx_user` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '用户ID，主键，自增长',
  `loginName` varchar(50) CHARACTER SET utf8 DEFAULT NULL COMMENT '登录名',
  `loginPwd` varchar(128) CHARACTER SET utf8 DEFAULT NULL COMMENT '登录密码，使用md5双次加密',
  `loginPwd1` varchar(128) CHARACTER SET utf8 DEFAULT NULL COMMENT '最近一次使用密码，使用md5双次加密',
  `loginPwd2` varchar(128) CHARACTER SET utf8 DEFAULT NULL COMMENT '最近二次使用密码，使用md5双次加密',
  `loginPwd3` varchar(128) CHARACTER SET utf8 DEFAULT NULL COMMENT '最近三次使用密码，使用md5双次加密',
  `loginLimitAddress` varchar(200) CHARACTER SET utf8 DEFAULT NULL COMMENT '登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录',
  `realName` varchar(50) CHARACTER SET utf8 DEFAULT NULL COMMENT '用户名',
  `mobile` varchar(21) CHARACTER SET utf8 DEFAULT NULL COMMENT '用户手机号',
  `phone` varchar(21) CHARACTER SET utf8 DEFAULT NULL COMMENT '用户联系电话',
  `email` varchar(50) CHARACTER SET utf8 DEFAULT NULL COMMENT '用户邮箱',
  `qq` varchar(20) CHARACTER SET utf8 DEFAULT NULL COMMENT 'QQ号码',
  `userType` tinyint(2) DEFAULT NULL COMMENT '用户类型，0：系统用户 1:普通用户 2:工作人员，默认2',
  `siteId` bigint(20) DEFAULT '0' COMMENT '站点id',
  `status` tinyint(2) DEFAULT '1' COMMENT '用户状态，0：停用，1：正常，2：冻结，3：销户，4：离职，默认1',
  `customerId` bigint(20) DEFAULT NULL COMMENT '客户ID',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) CHARACTER SET utf8 DEFAULT NULL COMMENT '创建用户名称',
  `lastLoginTime` datetime DEFAULT NULL COMMENT '最后一次登录时间',
  `lastLoginAddress` varchar(21) CHARACTER SET utf8 DEFAULT NULL COMMENT '最后一次登录地址',
  `lastModPwdTime` datetime DEFAULT NULL COMMENT '最后修改密码时间',
  `lastModPwdAddr` varchar(21) CHARACTER SET utf8 DEFAULT NULL COMMENT '最后修改密码地址',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `idx_loginName` (`loginName`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=ujis COMMENT='用户信息';

-- ----------------------------
-- Records of mortals_xhx_user
-- ----------------------------
INSERT INTO `mortals_xhx_user` VALUES ('1', 'admin', '43442676c74ae59f219c2d87fd6bad52', null, null, null, null, '系统管理员', '13808095770', null, null, null, '1', null, '1', null, '2022-06-02 09:12:26', '1', 'admin', '2022-10-26 15:23:45', '0:0:0:0:0:0:0:1', null, null);

-- ----------------------------
-- Table structure for mortals_xhx_valid_code
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_valid_code`;
CREATE TABLE `mortals_xhx_valid_code` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID，主键，自增长',
  `code` varchar(10) DEFAULT NULL COMMENT '验证码',
  `url` varchar(500) DEFAULT NULL COMMENT '校验地址，email校验使用',
  `mobile` varchar(21) DEFAULT NULL COMMENT '校验手机号',
  `email` varchar(50) DEFAULT NULL COMMENT '校验邮箱',
  `type` tinyint(2) DEFAULT '0' COMMENT '校验方式，0：图片校验，1：手机校验，2：邮箱校验，默认0',
  `sessionId` varchar(50) DEFAULT NULL COMMENT '会话ID',
  `ip` varchar(50) DEFAULT NULL COMMENT 'IP地址',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `lapseTime` datetime DEFAULT NULL COMMENT '失效时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='验证码信息';

-- ----------------------------
-- Records of mortals_xhx_valid_code
-- ----------------------------
