package com.mortals.xhx.module.certificate.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.certificate.model.vo.CertificateCatalogVo;
/**
 * 证照目录实体对象
 *
 * @author zxfei
 * @date 2022-10-26
 */

public class CertificateCatalogEntity extends CertificateCatalogVo {
    private static final long serialVersionUID = 1L;

    /**
     * 目录名称
     */
    private String catalogName;
    /**
     * 目录编号
     */
    private String catalogCode;
    /**
     * 持有者类型，1：自然人；2：法人；3：自然人，法人
     */
    private Integer holderType;
    /**
     * 所属行业
     */
    private Long industryId;
    /**
     * 所属分类
     */
    private Long classifyId;
    /**
     * 横向尺寸(单位mm)
     */
    private Integer transverse;
    /**
     * 纵向尺寸(单位mm)
     */
    private Integer portrait;
    /**
     * 是否需要年检，0：否1：是
     */
    private Integer inspect;
    /**
     * 证照模板正本文件名称
     */
    private String oriFileName;
    /**
     * 证照模板正本文件地址
     */
    private String originalUrl;
    /**
     * 证照模板正本表单内容
     */
    private String oriFormContent;
    /**
     * 证照模板副本文件名称
     */
    private String dupFileName;
    /**
     * 证照模板副本文件地址
     */
    private String duplicateUrl;
    /**
     * 证照模板副本表单内容
     */
    private String dupFormContent;
    /**
     * 证照示例图地址
     */
    private String exampleUrl;
    /**
     * 证照状态，0：禁用1：启用
     */
    private Integer status;
    /**
     * 打印机名称
     */
    private String printerName;
    /**
     * 打印机网络地址
     */
    private String printerIp;
    /**
     * 打印机纸盒
     */
    private String paperSource;



    public CertificateCatalogEntity(){}
    /**
     * 获取 目录名称
     * @return String
     */
    public String getCatalogName(){
        return catalogName;
    }
    /**
     * 设置 目录名称
     * @param catalogName
     */
    public void setCatalogName(String catalogName){
        this.catalogName = catalogName;
    }
    /**
     * 获取 目录编号
     * @return String
     */
    public String getCatalogCode(){
        return catalogCode;
    }
    /**
     * 设置 目录编号
     * @param catalogCode
     */
    public void setCatalogCode(String catalogCode){
        this.catalogCode = catalogCode;
    }
    /**
     * 获取 持有者类型，1：自然人；2：法人；3：自然人，法人
     * @return Integer
     */
    public Integer getHolderType(){
        return holderType;
    }
    /**
     * 设置 持有者类型，1：自然人；2：法人；3：自然人，法人
     * @param holderType
     */
    public void setHolderType(Integer holderType){
        this.holderType = holderType;
    }
    /**
     * 获取 所属行业
     * @return Long
     */
    public Long getIndustryId(){
        return industryId;
    }
    /**
     * 设置 所属行业
     * @param industryId
     */
    public void setIndustryId(Long industryId){
        this.industryId = industryId;
    }
    /**
     * 获取 所属分类
     * @return Long
     */
    public Long getClassifyId(){
        return classifyId;
    }
    /**
     * 设置 所属分类
     * @param classifyId
     */
    public void setClassifyId(Long classifyId){
        this.classifyId = classifyId;
    }
    /**
     * 获取 横向尺寸(单位mm)
     * @return Integer
     */
    public Integer getTransverse(){
        return transverse;
    }
    /**
     * 设置 横向尺寸(单位mm)
     * @param transverse
     */
    public void setTransverse(Integer transverse){
        this.transverse = transverse;
    }
    /**
     * 获取 纵向尺寸(单位mm)
     * @return Integer
     */
    public Integer getPortrait(){
        return portrait;
    }
    /**
     * 设置 纵向尺寸(单位mm)
     * @param portrait
     */
    public void setPortrait(Integer portrait){
        this.portrait = portrait;
    }
    /**
     * 获取 是否需要年检，0：否1：是
     * @return Integer
     */
    public Integer getInspect(){
        return inspect;
    }
    /**
     * 设置 是否需要年检，0：否1：是
     * @param inspect
     */
    public void setInspect(Integer inspect){
        this.inspect = inspect;
    }
    /**
     * 获取 证照模板正本文件名称
     * @return String
     */
    public String getOriFileName(){
        return oriFileName;
    }
    /**
     * 设置 证照模板正本文件名称
     * @param oriFileName
     */
    public void setOriFileName(String oriFileName){
        this.oriFileName = oriFileName;
    }
    /**
     * 获取 证照模板正本文件地址
     * @return String
     */
    public String getOriginalUrl(){
        return originalUrl;
    }
    /**
     * 设置 证照模板正本文件地址
     * @param originalUrl
     */
    public void setOriginalUrl(String originalUrl){
        this.originalUrl = originalUrl;
    }
    /**
     * 获取 证照模板正本表单内容
     * @return String
     */
    public String getOriFormContent(){
        return oriFormContent;
    }
    /**
     * 设置 证照模板正本表单内容
     * @param oriFormContent
     */
    public void setOriFormContent(String oriFormContent){
        this.oriFormContent = oriFormContent;
    }
    /**
     * 获取 证照模板副本文件名称
     * @return String
     */
    public String getDupFileName(){
        return dupFileName;
    }
    /**
     * 设置 证照模板副本文件名称
     * @param dupFileName
     */
    public void setDupFileName(String dupFileName){
        this.dupFileName = dupFileName;
    }
    /**
     * 获取 证照模板副本文件地址
     * @return String
     */
    public String getDuplicateUrl(){
        return duplicateUrl;
    }
    /**
     * 设置 证照模板副本文件地址
     * @param duplicateUrl
     */
    public void setDuplicateUrl(String duplicateUrl){
        this.duplicateUrl = duplicateUrl;
    }
    /**
     * 获取 证照模板副本表单内容
     * @return String
     */
    public String getDupFormContent(){
        return dupFormContent;
    }
    /**
     * 设置 证照模板副本表单内容
     * @param dupFormContent
     */
    public void setDupFormContent(String dupFormContent){
        this.dupFormContent = dupFormContent;
    }
    /**
     * 获取 证照示例图地址
     * @return String
     */
    public String getExampleUrl(){
        return exampleUrl;
    }
    /**
     * 设置 证照示例图地址
     * @param exampleUrl
     */
    public void setExampleUrl(String exampleUrl){
        this.exampleUrl = exampleUrl;
    }
    /**
     * 获取 证照状态，0：禁用1：启用
     * @return Integer
     */
    public Integer getStatus(){
        return status;
    }
    /**
     * 设置 证照状态，0：禁用1：启用
     * @param status
     */
    public void setStatus(Integer status){
        this.status = status;
    }
    /**
     * 获取 打印机名称
     * @return String
     */
    public String getPrinterName(){
        return printerName;
    }
    /**
     * 设置 打印机名称
     * @param printerName
     */
    public void setPrinterName(String printerName){
        this.printerName = printerName;
    }
    /**
     * 获取 打印机网络地址
     * @return String
     */
    public String getPrinterIp(){
        return printerIp;
    }
    /**
     * 设置 打印机网络地址
     * @param printerIp
     */
    public void setPrinterIp(String printerIp){
        this.printerIp = printerIp;
    }
    /**
     * 获取 打印机纸盒
     * @return String
     */
    public String getPaperSource(){
        return paperSource;
    }
    /**
     * 设置 打印机纸盒
     * @param paperSource
     */
    public void setPaperSource(String paperSource){
        this.paperSource = paperSource;
    }




    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof CertificateCatalogEntity) {
            CertificateCatalogEntity tmp = (CertificateCatalogEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",catalogName:").append(getCatalogName());
        sb.append(",catalogCode:").append(getCatalogCode());
        sb.append(",holderType:").append(getHolderType());
        sb.append(",industryId:").append(getIndustryId());
        sb.append(",classifyId:").append(getClassifyId());
        sb.append(",transverse:").append(getTransverse());
        sb.append(",portrait:").append(getPortrait());
        sb.append(",inspect:").append(getInspect());
        sb.append(",oriFileName:").append(getOriFileName());
        sb.append(",originalUrl:").append(getOriginalUrl());
        sb.append(",oriFormContent:").append(getOriFormContent());
        sb.append(",dupFileName:").append(getDupFileName());
        sb.append(",duplicateUrl:").append(getDuplicateUrl());
        sb.append(",dupFormContent:").append(getDupFormContent());
        sb.append(",exampleUrl:").append(getExampleUrl());
        sb.append(",status:").append(getStatus());
        sb.append(",printerName:").append(getPrinterName());
        sb.append(",printerIp:").append(getPrinterIp());
        sb.append(",paperSource:").append(getPaperSource());
        return sb.toString();
    }

    public void initAttrValue(){

        this.catalogName = "";

        this.catalogCode = "";

        this.holderType = 1;

        this.industryId = null;

        this.classifyId = null;

        this.transverse = 0;

        this.portrait = 0;

        this.inspect = 0;

        this.oriFileName = "";

        this.originalUrl = "";

        this.oriFormContent = "";

        this.dupFileName = "";

        this.duplicateUrl = "";

        this.dupFormContent = "";

        this.exampleUrl = "";

        this.status = 1;

        this.printerName = "";

        this.printerIp = "";

        this.paperSource = "";
    }
}