package com.mortals.xhx.module.certificate.model;

import java.util.List;
import com.mortals.xhx.module.certificate.model.CertificateCatalogEntity;
/**
 * 证照目录查询对象
 *
 * @author zxfei
 * @date 2022-10-26
 */
public class CertificateCatalogQuery extends CertificateCatalogEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 目录名称 */
    private List<String> catalogNameList;

    /** 目录编号 */
    private List<String> catalogCodeList;

    /** 开始 持有者类型，1：自然人；2：法人；3：自然人，法人 */
    private Integer holderTypeStart;

    /** 结束 持有者类型，1：自然人；2：法人；3：自然人，法人 */
    private Integer holderTypeEnd;

    /** 增加 持有者类型，1：自然人；2：法人；3：自然人，法人 */
    private Integer holderTypeIncrement;

    /** 持有者类型，1：自然人；2：法人；3：自然人，法人列表 */
    private List <Integer> holderTypeList;

    /** 开始 所属行业 */
    private Long industryIdStart;

    /** 结束 所属行业 */
    private Long industryIdEnd;

    /** 增加 所属行业 */
    private Long industryIdIncrement;

    /** 所属行业列表 */
    private List <Long> industryIdList;

    /** 开始 所属分类 */
    private Long classifyIdStart;

    /** 结束 所属分类 */
    private Long classifyIdEnd;

    /** 增加 所属分类 */
    private Long classifyIdIncrement;

    /** 所属分类列表 */
    private List <Long> classifyIdList;

    /** 开始 横向尺寸(单位mm) */
    private Integer transverseStart;

    /** 结束 横向尺寸(单位mm) */
    private Integer transverseEnd;

    /** 增加 横向尺寸(单位mm) */
    private Integer transverseIncrement;

    /** 横向尺寸(单位mm)列表 */
    private List <Integer> transverseList;

    /** 开始 纵向尺寸(单位mm) */
    private Integer portraitStart;

    /** 结束 纵向尺寸(单位mm) */
    private Integer portraitEnd;

    /** 增加 纵向尺寸(单位mm) */
    private Integer portraitIncrement;

    /** 纵向尺寸(单位mm)列表 */
    private List <Integer> portraitList;

    /** 开始 是否需要年检，0：否1：是 */
    private Integer inspectStart;

    /** 结束 是否需要年检，0：否1：是 */
    private Integer inspectEnd;

    /** 增加 是否需要年检，0：否1：是 */
    private Integer inspectIncrement;

    /** 是否需要年检，0：否1：是列表 */
    private List <Integer> inspectList;

    /** 证照模板正本文件名称 */
    private List<String> oriFileNameList;

    /** 证照模板正本文件地址 */
    private List<String> originalUrlList;

    /** 证照模板正本表单内容 */
    private List<String> oriFormContentList;

    /** 证照模板副本文件名称 */
    private List<String> dupFileNameList;

    /** 证照模板副本文件地址 */
    private List<String> duplicateUrlList;

    /** 证照模板副本表单内容 */
    private List<String> dupFormContentList;

    /** 证照示例图地址 */
    private List<String> exampleUrlList;

    /** 开始 证照状态，0：禁用1：启用 */
    private Integer statusStart;

    /** 结束 证照状态，0：禁用1：启用 */
    private Integer statusEnd;

    /** 增加 证照状态，0：禁用1：启用 */
    private Integer statusIncrement;

    /** 证照状态，0：禁用1：启用列表 */
    private List <Integer> statusList;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 打印机名称 */
    private List<String> printerNameList;

    /** 打印机网络地址 */
    private List<String> printerIpList;

    /** 打印机纸盒 */
    private List<String> paperSourceList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<CertificateCatalogQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<CertificateCatalogQuery> andConditionList;

    public CertificateCatalogQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 目录名称
     * @return catalogNameList
     */
    public List<String> getCatalogNameList(){
        return this.catalogNameList;
    }

    /**
     * 设置 目录名称
     * @param catalogNameList
     */
    public void setCatalogNameList(List<String> catalogNameList){
        this.catalogNameList = catalogNameList;
    }
    /**
     * 获取 目录编号
     * @return catalogCodeList
     */
    public List<String> getCatalogCodeList(){
        return this.catalogCodeList;
    }

    /**
     * 设置 目录编号
     * @param catalogCodeList
     */
    public void setCatalogCodeList(List<String> catalogCodeList){
        this.catalogCodeList = catalogCodeList;
    }
    /**
     * 获取 开始 持有者类型，1：自然人；2：法人；3：自然人，法人
     * @return holderTypeStart
     */
    public Integer getHolderTypeStart(){
        return this.holderTypeStart;
    }

    /**
     * 设置 开始 持有者类型，1：自然人；2：法人；3：自然人，法人
     * @param holderTypeStart
     */
    public void setHolderTypeStart(Integer holderTypeStart){
        this.holderTypeStart = holderTypeStart;
    }

    /**
     * 获取 结束 持有者类型，1：自然人；2：法人；3：自然人，法人
     * @return $holderTypeEnd
     */
    public Integer getHolderTypeEnd(){
        return this.holderTypeEnd;
    }

    /**
     * 设置 结束 持有者类型，1：自然人；2：法人；3：自然人，法人
     * @param holderTypeEnd
     */
    public void setHolderTypeEnd(Integer holderTypeEnd){
        this.holderTypeEnd = holderTypeEnd;
    }

    /**
     * 获取 增加 持有者类型，1：自然人；2：法人；3：自然人，法人
     * @return holderTypeIncrement
     */
    public Integer getHolderTypeIncrement(){
        return this.holderTypeIncrement;
    }

    /**
     * 设置 增加 持有者类型，1：自然人；2：法人；3：自然人，法人
     * @param holderTypeIncrement
     */
    public void setHolderTypeIncrement(Integer holderTypeIncrement){
        this.holderTypeIncrement = holderTypeIncrement;
    }

    /**
     * 获取 持有者类型，1：自然人；2：法人；3：自然人，法人
     * @return holderTypeList
     */
    public List<Integer> getHolderTypeList(){
        return this.holderTypeList;
    }

    /**
     * 设置 持有者类型，1：自然人；2：法人；3：自然人，法人
     * @param holderTypeList
     */
    public void setHolderTypeList(List<Integer> holderTypeList){
        this.holderTypeList = holderTypeList;
    }

    /**
     * 获取 开始 所属行业
     * @return industryIdStart
     */
    public Long getIndustryIdStart(){
        return this.industryIdStart;
    }

    /**
     * 设置 开始 所属行业
     * @param industryIdStart
     */
    public void setIndustryIdStart(Long industryIdStart){
        this.industryIdStart = industryIdStart;
    }

    /**
     * 获取 结束 所属行业
     * @return $industryIdEnd
     */
    public Long getIndustryIdEnd(){
        return this.industryIdEnd;
    }

    /**
     * 设置 结束 所属行业
     * @param industryIdEnd
     */
    public void setIndustryIdEnd(Long industryIdEnd){
        this.industryIdEnd = industryIdEnd;
    }

    /**
     * 获取 增加 所属行业
     * @return industryIdIncrement
     */
    public Long getIndustryIdIncrement(){
        return this.industryIdIncrement;
    }

    /**
     * 设置 增加 所属行业
     * @param industryIdIncrement
     */
    public void setIndustryIdIncrement(Long industryIdIncrement){
        this.industryIdIncrement = industryIdIncrement;
    }

    /**
     * 获取 所属行业
     * @return industryIdList
     */
    public List<Long> getIndustryIdList(){
        return this.industryIdList;
    }

    /**
     * 设置 所属行业
     * @param industryIdList
     */
    public void setIndustryIdList(List<Long> industryIdList){
        this.industryIdList = industryIdList;
    }

    /**
     * 获取 开始 所属分类
     * @return classifyIdStart
     */
    public Long getClassifyIdStart(){
        return this.classifyIdStart;
    }

    /**
     * 设置 开始 所属分类
     * @param classifyIdStart
     */
    public void setClassifyIdStart(Long classifyIdStart){
        this.classifyIdStart = classifyIdStart;
    }

    /**
     * 获取 结束 所属分类
     * @return $classifyIdEnd
     */
    public Long getClassifyIdEnd(){
        return this.classifyIdEnd;
    }

    /**
     * 设置 结束 所属分类
     * @param classifyIdEnd
     */
    public void setClassifyIdEnd(Long classifyIdEnd){
        this.classifyIdEnd = classifyIdEnd;
    }

    /**
     * 获取 增加 所属分类
     * @return classifyIdIncrement
     */
    public Long getClassifyIdIncrement(){
        return this.classifyIdIncrement;
    }

    /**
     * 设置 增加 所属分类
     * @param classifyIdIncrement
     */
    public void setClassifyIdIncrement(Long classifyIdIncrement){
        this.classifyIdIncrement = classifyIdIncrement;
    }

    /**
     * 获取 所属分类
     * @return classifyIdList
     */
    public List<Long> getClassifyIdList(){
        return this.classifyIdList;
    }

    /**
     * 设置 所属分类
     * @param classifyIdList
     */
    public void setClassifyIdList(List<Long> classifyIdList){
        this.classifyIdList = classifyIdList;
    }

    /**
     * 获取 开始 横向尺寸(单位mm)
     * @return transverseStart
     */
    public Integer getTransverseStart(){
        return this.transverseStart;
    }

    /**
     * 设置 开始 横向尺寸(单位mm)
     * @param transverseStart
     */
    public void setTransverseStart(Integer transverseStart){
        this.transverseStart = transverseStart;
    }

    /**
     * 获取 结束 横向尺寸(单位mm)
     * @return $transverseEnd
     */
    public Integer getTransverseEnd(){
        return this.transverseEnd;
    }

    /**
     * 设置 结束 横向尺寸(单位mm)
     * @param transverseEnd
     */
    public void setTransverseEnd(Integer transverseEnd){
        this.transverseEnd = transverseEnd;
    }

    /**
     * 获取 增加 横向尺寸(单位mm)
     * @return transverseIncrement
     */
    public Integer getTransverseIncrement(){
        return this.transverseIncrement;
    }

    /**
     * 设置 增加 横向尺寸(单位mm)
     * @param transverseIncrement
     */
    public void setTransverseIncrement(Integer transverseIncrement){
        this.transverseIncrement = transverseIncrement;
    }

    /**
     * 获取 横向尺寸(单位mm)
     * @return transverseList
     */
    public List<Integer> getTransverseList(){
        return this.transverseList;
    }

    /**
     * 设置 横向尺寸(单位mm)
     * @param transverseList
     */
    public void setTransverseList(List<Integer> transverseList){
        this.transverseList = transverseList;
    }

    /**
     * 获取 开始 纵向尺寸(单位mm)
     * @return portraitStart
     */
    public Integer getPortraitStart(){
        return this.portraitStart;
    }

    /**
     * 设置 开始 纵向尺寸(单位mm)
     * @param portraitStart
     */
    public void setPortraitStart(Integer portraitStart){
        this.portraitStart = portraitStart;
    }

    /**
     * 获取 结束 纵向尺寸(单位mm)
     * @return $portraitEnd
     */
    public Integer getPortraitEnd(){
        return this.portraitEnd;
    }

    /**
     * 设置 结束 纵向尺寸(单位mm)
     * @param portraitEnd
     */
    public void setPortraitEnd(Integer portraitEnd){
        this.portraitEnd = portraitEnd;
    }

    /**
     * 获取 增加 纵向尺寸(单位mm)
     * @return portraitIncrement
     */
    public Integer getPortraitIncrement(){
        return this.portraitIncrement;
    }

    /**
     * 设置 增加 纵向尺寸(单位mm)
     * @param portraitIncrement
     */
    public void setPortraitIncrement(Integer portraitIncrement){
        this.portraitIncrement = portraitIncrement;
    }

    /**
     * 获取 纵向尺寸(单位mm)
     * @return portraitList
     */
    public List<Integer> getPortraitList(){
        return this.portraitList;
    }

    /**
     * 设置 纵向尺寸(单位mm)
     * @param portraitList
     */
    public void setPortraitList(List<Integer> portraitList){
        this.portraitList = portraitList;
    }

    /**
     * 获取 开始 是否需要年检，0：否1：是
     * @return inspectStart
     */
    public Integer getInspectStart(){
        return this.inspectStart;
    }

    /**
     * 设置 开始 是否需要年检，0：否1：是
     * @param inspectStart
     */
    public void setInspectStart(Integer inspectStart){
        this.inspectStart = inspectStart;
    }

    /**
     * 获取 结束 是否需要年检，0：否1：是
     * @return $inspectEnd
     */
    public Integer getInspectEnd(){
        return this.inspectEnd;
    }

    /**
     * 设置 结束 是否需要年检，0：否1：是
     * @param inspectEnd
     */
    public void setInspectEnd(Integer inspectEnd){
        this.inspectEnd = inspectEnd;
    }

    /**
     * 获取 增加 是否需要年检，0：否1：是
     * @return inspectIncrement
     */
    public Integer getInspectIncrement(){
        return this.inspectIncrement;
    }

    /**
     * 设置 增加 是否需要年检，0：否1：是
     * @param inspectIncrement
     */
    public void setInspectIncrement(Integer inspectIncrement){
        this.inspectIncrement = inspectIncrement;
    }

    /**
     * 获取 是否需要年检，0：否1：是
     * @return inspectList
     */
    public List<Integer> getInspectList(){
        return this.inspectList;
    }

    /**
     * 设置 是否需要年检，0：否1：是
     * @param inspectList
     */
    public void setInspectList(List<Integer> inspectList){
        this.inspectList = inspectList;
    }

    /**
     * 获取 证照模板正本文件名称
     * @return oriFileNameList
     */
    public List<String> getOriFileNameList(){
        return this.oriFileNameList;
    }

    /**
     * 设置 证照模板正本文件名称
     * @param oriFileNameList
     */
    public void setOriFileNameList(List<String> oriFileNameList){
        this.oriFileNameList = oriFileNameList;
    }
    /**
     * 获取 证照模板正本文件地址
     * @return originalUrlList
     */
    public List<String> getOriginalUrlList(){
        return this.originalUrlList;
    }

    /**
     * 设置 证照模板正本文件地址
     * @param originalUrlList
     */
    public void setOriginalUrlList(List<String> originalUrlList){
        this.originalUrlList = originalUrlList;
    }
    /**
     * 获取 证照模板正本表单内容
     * @return oriFormContentList
     */
    public List<String> getOriFormContentList(){
        return this.oriFormContentList;
    }

    /**
     * 设置 证照模板正本表单内容
     * @param oriFormContentList
     */
    public void setOriFormContentList(List<String> oriFormContentList){
        this.oriFormContentList = oriFormContentList;
    }
    /**
     * 获取 证照模板副本文件名称
     * @return dupFileNameList
     */
    public List<String> getDupFileNameList(){
        return this.dupFileNameList;
    }

    /**
     * 设置 证照模板副本文件名称
     * @param dupFileNameList
     */
    public void setDupFileNameList(List<String> dupFileNameList){
        this.dupFileNameList = dupFileNameList;
    }
    /**
     * 获取 证照模板副本文件地址
     * @return duplicateUrlList
     */
    public List<String> getDuplicateUrlList(){
        return this.duplicateUrlList;
    }

    /**
     * 设置 证照模板副本文件地址
     * @param duplicateUrlList
     */
    public void setDuplicateUrlList(List<String> duplicateUrlList){
        this.duplicateUrlList = duplicateUrlList;
    }
    /**
     * 获取 证照模板副本表单内容
     * @return dupFormContentList
     */
    public List<String> getDupFormContentList(){
        return this.dupFormContentList;
    }

    /**
     * 设置 证照模板副本表单内容
     * @param dupFormContentList
     */
    public void setDupFormContentList(List<String> dupFormContentList){
        this.dupFormContentList = dupFormContentList;
    }
    /**
     * 获取 证照示例图地址
     * @return exampleUrlList
     */
    public List<String> getExampleUrlList(){
        return this.exampleUrlList;
    }

    /**
     * 设置 证照示例图地址
     * @param exampleUrlList
     */
    public void setExampleUrlList(List<String> exampleUrlList){
        this.exampleUrlList = exampleUrlList;
    }
    /**
     * 获取 开始 证照状态，0：禁用1：启用
     * @return statusStart
     */
    public Integer getStatusStart(){
        return this.statusStart;
    }

    /**
     * 设置 开始 证照状态，0：禁用1：启用
     * @param statusStart
     */
    public void setStatusStart(Integer statusStart){
        this.statusStart = statusStart;
    }

    /**
     * 获取 结束 证照状态，0：禁用1：启用
     * @return $statusEnd
     */
    public Integer getStatusEnd(){
        return this.statusEnd;
    }

    /**
     * 设置 结束 证照状态，0：禁用1：启用
     * @param statusEnd
     */
    public void setStatusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
    }

    /**
     * 获取 增加 证照状态，0：禁用1：启用
     * @return statusIncrement
     */
    public Integer getStatusIncrement(){
        return this.statusIncrement;
    }

    /**
     * 设置 增加 证照状态，0：禁用1：启用
     * @param statusIncrement
     */
    public void setStatusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
    }

    /**
     * 获取 证照状态，0：禁用1：启用
     * @return statusList
     */
    public List<Integer> getStatusList(){
        return this.statusList;
    }

    /**
     * 设置 证照状态，0：禁用1：启用
     * @param statusList
     */
    public void setStatusList(List<Integer> statusList){
        this.statusList = statusList;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 打印机名称
     * @return printerNameList
     */
    public List<String> getPrinterNameList(){
        return this.printerNameList;
    }

    /**
     * 设置 打印机名称
     * @param printerNameList
     */
    public void setPrinterNameList(List<String> printerNameList){
        this.printerNameList = printerNameList;
    }
    /**
     * 获取 打印机网络地址
     * @return printerIpList
     */
    public List<String> getPrinterIpList(){
        return this.printerIpList;
    }

    /**
     * 设置 打印机网络地址
     * @param printerIpList
     */
    public void setPrinterIpList(List<String> printerIpList){
        this.printerIpList = printerIpList;
    }
    /**
     * 获取 打印机纸盒
     * @return paperSourceList
     */
    public List<String> getPaperSourceList(){
        return this.paperSourceList;
    }

    /**
     * 设置 打印机纸盒
     * @param paperSourceList
     */
    public void setPaperSourceList(List<String> paperSourceList){
        this.paperSourceList = paperSourceList;
    }
    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public CertificateCatalogQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public CertificateCatalogQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public CertificateCatalogQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public CertificateCatalogQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public CertificateCatalogQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }


    /**
     * 设置 目录名称
     * @param catalogName
     */
    public CertificateCatalogQuery catalogName(String catalogName){
        setCatalogName(catalogName);
        return this;
    }

    /**
     * 设置 目录名称
     * @param catalogNameList
     */
    public CertificateCatalogQuery catalogNameList(List<String> catalogNameList){
        this.catalogNameList = catalogNameList;
        return this;
    }


    /**
     * 设置 目录编号
     * @param catalogCode
     */
    public CertificateCatalogQuery catalogCode(String catalogCode){
        setCatalogCode(catalogCode);
        return this;
    }

    /**
     * 设置 目录编号
     * @param catalogCodeList
     */
    public CertificateCatalogQuery catalogCodeList(List<String> catalogCodeList){
        this.catalogCodeList = catalogCodeList;
        return this;
    }

    /**
     * 设置  持有者类型，1：自然人；2：法人；3：自然人，法人
     * @param holderType
     */
    public CertificateCatalogQuery holderType(Integer holderType){
        setHolderType(holderType);
        return this;
    }

    /**
     * 设置 开始 持有者类型，1：自然人；2：法人；3：自然人，法人
     * @param holderTypeStart
     */
    public CertificateCatalogQuery holderTypeStart(Integer holderTypeStart){
        this.holderTypeStart = holderTypeStart;
        return this;
    }

    /**
     * 设置 结束 持有者类型，1：自然人；2：法人；3：自然人，法人
     * @param holderTypeEnd
     */
    public CertificateCatalogQuery holderTypeEnd(Integer holderTypeEnd){
        this.holderTypeEnd = holderTypeEnd;
        return this;
    }

    /**
     * 设置 增加 持有者类型，1：自然人；2：法人；3：自然人，法人
     * @param holderTypeIncrement
     */
    public CertificateCatalogQuery holderTypeIncrement(Integer holderTypeIncrement){
        this.holderTypeIncrement = holderTypeIncrement;
        return this;
    }

    /**
     * 设置 持有者类型，1：自然人；2：法人；3：自然人，法人
     * @param holderTypeList
     */
    public CertificateCatalogQuery holderTypeList(List<Integer> holderTypeList){
        this.holderTypeList = holderTypeList;
        return this;
    }

    /**
     * 设置  所属行业
     * @param industryId
     */
    public CertificateCatalogQuery industryId(Long industryId){
        setIndustryId(industryId);
        return this;
    }

    /**
     * 设置 开始 所属行业
     * @param industryIdStart
     */
    public CertificateCatalogQuery industryIdStart(Long industryIdStart){
        this.industryIdStart = industryIdStart;
        return this;
    }

    /**
     * 设置 结束 所属行业
     * @param industryIdEnd
     */
    public CertificateCatalogQuery industryIdEnd(Long industryIdEnd){
        this.industryIdEnd = industryIdEnd;
        return this;
    }

    /**
     * 设置 增加 所属行业
     * @param industryIdIncrement
     */
    public CertificateCatalogQuery industryIdIncrement(Long industryIdIncrement){
        this.industryIdIncrement = industryIdIncrement;
        return this;
    }

    /**
     * 设置 所属行业
     * @param industryIdList
     */
    public CertificateCatalogQuery industryIdList(List<Long> industryIdList){
        this.industryIdList = industryIdList;
        return this;
    }

    /**
     * 设置  所属分类
     * @param classifyId
     */
    public CertificateCatalogQuery classifyId(Long classifyId){
        setClassifyId(classifyId);
        return this;
    }

    /**
     * 设置 开始 所属分类
     * @param classifyIdStart
     */
    public CertificateCatalogQuery classifyIdStart(Long classifyIdStart){
        this.classifyIdStart = classifyIdStart;
        return this;
    }

    /**
     * 设置 结束 所属分类
     * @param classifyIdEnd
     */
    public CertificateCatalogQuery classifyIdEnd(Long classifyIdEnd){
        this.classifyIdEnd = classifyIdEnd;
        return this;
    }

    /**
     * 设置 增加 所属分类
     * @param classifyIdIncrement
     */
    public CertificateCatalogQuery classifyIdIncrement(Long classifyIdIncrement){
        this.classifyIdIncrement = classifyIdIncrement;
        return this;
    }

    /**
     * 设置 所属分类
     * @param classifyIdList
     */
    public CertificateCatalogQuery classifyIdList(List<Long> classifyIdList){
        this.classifyIdList = classifyIdList;
        return this;
    }

    /**
     * 设置  横向尺寸(单位mm)
     * @param transverse
     */
    public CertificateCatalogQuery transverse(Integer transverse){
        setTransverse(transverse);
        return this;
    }

    /**
     * 设置 开始 横向尺寸(单位mm)
     * @param transverseStart
     */
    public CertificateCatalogQuery transverseStart(Integer transverseStart){
        this.transverseStart = transverseStart;
        return this;
    }

    /**
     * 设置 结束 横向尺寸(单位mm)
     * @param transverseEnd
     */
    public CertificateCatalogQuery transverseEnd(Integer transverseEnd){
        this.transverseEnd = transverseEnd;
        return this;
    }

    /**
     * 设置 增加 横向尺寸(单位mm)
     * @param transverseIncrement
     */
    public CertificateCatalogQuery transverseIncrement(Integer transverseIncrement){
        this.transverseIncrement = transverseIncrement;
        return this;
    }

    /**
     * 设置 横向尺寸(单位mm)
     * @param transverseList
     */
    public CertificateCatalogQuery transverseList(List<Integer> transverseList){
        this.transverseList = transverseList;
        return this;
    }

    /**
     * 设置  纵向尺寸(单位mm)
     * @param portrait
     */
    public CertificateCatalogQuery portrait(Integer portrait){
        setPortrait(portrait);
        return this;
    }

    /**
     * 设置 开始 纵向尺寸(单位mm)
     * @param portraitStart
     */
    public CertificateCatalogQuery portraitStart(Integer portraitStart){
        this.portraitStart = portraitStart;
        return this;
    }

    /**
     * 设置 结束 纵向尺寸(单位mm)
     * @param portraitEnd
     */
    public CertificateCatalogQuery portraitEnd(Integer portraitEnd){
        this.portraitEnd = portraitEnd;
        return this;
    }

    /**
     * 设置 增加 纵向尺寸(单位mm)
     * @param portraitIncrement
     */
    public CertificateCatalogQuery portraitIncrement(Integer portraitIncrement){
        this.portraitIncrement = portraitIncrement;
        return this;
    }

    /**
     * 设置 纵向尺寸(单位mm)
     * @param portraitList
     */
    public CertificateCatalogQuery portraitList(List<Integer> portraitList){
        this.portraitList = portraitList;
        return this;
    }

    /**
     * 设置  是否需要年检，0：否1：是
     * @param inspect
     */
    public CertificateCatalogQuery inspect(Integer inspect){
        setInspect(inspect);
        return this;
    }

    /**
     * 设置 开始 是否需要年检，0：否1：是
     * @param inspectStart
     */
    public CertificateCatalogQuery inspectStart(Integer inspectStart){
        this.inspectStart = inspectStart;
        return this;
    }

    /**
     * 设置 结束 是否需要年检，0：否1：是
     * @param inspectEnd
     */
    public CertificateCatalogQuery inspectEnd(Integer inspectEnd){
        this.inspectEnd = inspectEnd;
        return this;
    }

    /**
     * 设置 增加 是否需要年检，0：否1：是
     * @param inspectIncrement
     */
    public CertificateCatalogQuery inspectIncrement(Integer inspectIncrement){
        this.inspectIncrement = inspectIncrement;
        return this;
    }

    /**
     * 设置 是否需要年检，0：否1：是
     * @param inspectList
     */
    public CertificateCatalogQuery inspectList(List<Integer> inspectList){
        this.inspectList = inspectList;
        return this;
    }


    /**
     * 设置 证照模板正本文件名称
     * @param oriFileName
     */
    public CertificateCatalogQuery oriFileName(String oriFileName){
        setOriFileName(oriFileName);
        return this;
    }

    /**
     * 设置 证照模板正本文件名称
     * @param oriFileNameList
     */
    public CertificateCatalogQuery oriFileNameList(List<String> oriFileNameList){
        this.oriFileNameList = oriFileNameList;
        return this;
    }


    /**
     * 设置 证照模板正本文件地址
     * @param originalUrl
     */
    public CertificateCatalogQuery originalUrl(String originalUrl){
        setOriginalUrl(originalUrl);
        return this;
    }

    /**
     * 设置 证照模板正本文件地址
     * @param originalUrlList
     */
    public CertificateCatalogQuery originalUrlList(List<String> originalUrlList){
        this.originalUrlList = originalUrlList;
        return this;
    }


    /**
     * 设置 证照模板正本表单内容
     * @param oriFormContent
     */
    public CertificateCatalogQuery oriFormContent(String oriFormContent){
        setOriFormContent(oriFormContent);
        return this;
    }

    /**
     * 设置 证照模板正本表单内容
     * @param oriFormContentList
     */
    public CertificateCatalogQuery oriFormContentList(List<String> oriFormContentList){
        this.oriFormContentList = oriFormContentList;
        return this;
    }


    /**
     * 设置 证照模板副本文件名称
     * @param dupFileName
     */
    public CertificateCatalogQuery dupFileName(String dupFileName){
        setDupFileName(dupFileName);
        return this;
    }

    /**
     * 设置 证照模板副本文件名称
     * @param dupFileNameList
     */
    public CertificateCatalogQuery dupFileNameList(List<String> dupFileNameList){
        this.dupFileNameList = dupFileNameList;
        return this;
    }


    /**
     * 设置 证照模板副本文件地址
     * @param duplicateUrl
     */
    public CertificateCatalogQuery duplicateUrl(String duplicateUrl){
        setDuplicateUrl(duplicateUrl);
        return this;
    }

    /**
     * 设置 证照模板副本文件地址
     * @param duplicateUrlList
     */
    public CertificateCatalogQuery duplicateUrlList(List<String> duplicateUrlList){
        this.duplicateUrlList = duplicateUrlList;
        return this;
    }


    /**
     * 设置 证照模板副本表单内容
     * @param dupFormContent
     */
    public CertificateCatalogQuery dupFormContent(String dupFormContent){
        setDupFormContent(dupFormContent);
        return this;
    }

    /**
     * 设置 证照模板副本表单内容
     * @param dupFormContentList
     */
    public CertificateCatalogQuery dupFormContentList(List<String> dupFormContentList){
        this.dupFormContentList = dupFormContentList;
        return this;
    }


    /**
     * 设置 证照示例图地址
     * @param exampleUrl
     */
    public CertificateCatalogQuery exampleUrl(String exampleUrl){
        setExampleUrl(exampleUrl);
        return this;
    }

    /**
     * 设置 证照示例图地址
     * @param exampleUrlList
     */
    public CertificateCatalogQuery exampleUrlList(List<String> exampleUrlList){
        this.exampleUrlList = exampleUrlList;
        return this;
    }

    /**
     * 设置  证照状态，0：禁用1：启用
     * @param status
     */
    public CertificateCatalogQuery status(Integer status){
        setStatus(status);
        return this;
    }

    /**
     * 设置 开始 证照状态，0：禁用1：启用
     * @param statusStart
     */
    public CertificateCatalogQuery statusStart(Integer statusStart){
        this.statusStart = statusStart;
        return this;
    }

    /**
     * 设置 结束 证照状态，0：禁用1：启用
     * @param statusEnd
     */
    public CertificateCatalogQuery statusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
        return this;
    }

    /**
     * 设置 增加 证照状态，0：禁用1：启用
     * @param statusIncrement
     */
    public CertificateCatalogQuery statusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
        return this;
    }

    /**
     * 设置 证照状态，0：禁用1：启用
     * @param statusList
     */
    public CertificateCatalogQuery statusList(List<Integer> statusList){
        this.statusList = statusList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public CertificateCatalogQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public CertificateCatalogQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public CertificateCatalogQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public CertificateCatalogQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public CertificateCatalogQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public CertificateCatalogQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public CertificateCatalogQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public CertificateCatalogQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public CertificateCatalogQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public CertificateCatalogQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }



    /**
     * 设置 打印机名称
     * @param printerName
     */
    public CertificateCatalogQuery printerName(String printerName){
        setPrinterName(printerName);
        return this;
    }

    /**
     * 设置 打印机名称
     * @param printerNameList
     */
    public CertificateCatalogQuery printerNameList(List<String> printerNameList){
        this.printerNameList = printerNameList;
        return this;
    }


    /**
     * 设置 打印机网络地址
     * @param printerIp
     */
    public CertificateCatalogQuery printerIp(String printerIp){
        setPrinterIp(printerIp);
        return this;
    }

    /**
     * 设置 打印机网络地址
     * @param printerIpList
     */
    public CertificateCatalogQuery printerIpList(List<String> printerIpList){
        this.printerIpList = printerIpList;
        return this;
    }


    /**
     * 设置 打印机纸盒
     * @param paperSource
     */
    public CertificateCatalogQuery paperSource(String paperSource){
        setPaperSource(paperSource);
        return this;
    }

    /**
     * 设置 打印机纸盒
     * @param paperSourceList
     */
    public CertificateCatalogQuery paperSourceList(List<String> paperSourceList){
        this.paperSourceList = paperSourceList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<CertificateCatalogQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<CertificateCatalogQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<CertificateCatalogQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<CertificateCatalogQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}