package com.mortals.xhx.module.certificate.service.impl;
import com.mortals.xhx.common.utils.StringUtils;
import com.mortals.xhx.module.certificate.model.CertificateCatalogEntity;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.certificate.dao.CertificateIndustryDao;
import com.mortals.xhx.module.certificate.model.CertificateIndustryEntity;
import com.mortals.xhx.module.certificate.service.CertificateIndustryService;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
* CertificateIndustryService
* 行业目录 service实现
*
* @author zxfei
* @date 2022-10-14
*/
@Service("certificateIndustryService")
public class CertificateIndustryServiceImpl extends AbstractCRUDServiceImpl<CertificateIndustryDao, CertificateIndustryEntity, Long> implements CertificateIndustryService {

    @Override
    protected void validData(CertificateIndustryEntity entity, Context context) throws AppException {
        if(StringUtils.isEmpty(entity.getIndustryName())){
            throw new AppException("行业名称不能为空");
        }
        Map<String,Object> condition = new HashMap<>();
        condition.put("industryName",entity.getIndustryName());
        List<CertificateIndustryEntity> list = this.dao.getList(condition);
        if(CollectionUtils.isNotEmpty(list)){
            throw new AppException("行业名称重复");
        }
    }
}