package com.mortals.xhx.module.record.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.record.model.vo.RetainLogVo;
/**
* 证照持有实体对象
*
* @author zxfei
* @date 2022-10-22
*/

public class RetainLogEntity extends RetainLogVo {
    private static final long serialVersionUID = 1L;

    /**
    * 证照目录编号
    */
    private String catalogCode;
    /**
    * 证照名称
    */
    private String certificateName;
    /**
    * 证照编号
    */
    private String certificateCode;
    /**
    * 企业名称
    */
    private String enterpriseName;
    /**
    * 持有者姓名
    */
    private String holderName;
    /**
    * 持有者证件号码
    */
    private String holderIDCardNo;
    /**
    * 证照状态，1正常2注销
    */
    private Integer certificateStatus;
    /**
    * 正本数
    */
    private Integer originalCount;
    /**
    * 副本数
    */
    private Integer duplicateCount;
    /**
    * 正本附件地址
    */
    private String originalUrl;
    /**
    * 副本附件地址
    */
    private String duplicateUrl;
    /**
    * 证照目录ID
    */
    private Long catalogId;



    public RetainLogEntity(){}
    /**
    * 获取 证照目录编号
    * @return String
    */
    public String getCatalogCode(){
        return catalogCode;
    }
    /**
    * 设置 证照目录编号
    * @param catalogCode
    */
    public void setCatalogCode(String catalogCode){
        this.catalogCode = catalogCode;
    }
    /**
    * 获取 证照名称
    * @return String
    */
    public String getCertificateName(){
        return certificateName;
    }
    /**
    * 设置 证照名称
    * @param certificateName
    */
    public void setCertificateName(String certificateName){
        this.certificateName = certificateName;
    }
    /**
    * 获取 证照编号
    * @return String
    */
    public String getCertificateCode(){
        return certificateCode;
    }
    /**
    * 设置 证照编号
    * @param certificateCode
    */
    public void setCertificateCode(String certificateCode){
        this.certificateCode = certificateCode;
    }
    /**
    * 获取 企业名称
    * @return String
    */
    public String getEnterpriseName(){
        return enterpriseName;
    }
    /**
    * 设置 企业名称
    * @param enterpriseName
    */
    public void setEnterpriseName(String enterpriseName){
        this.enterpriseName = enterpriseName;
    }
    /**
    * 获取 持有者姓名
    * @return String
    */
    public String getHolderName(){
        return holderName;
    }
    /**
    * 设置 持有者姓名
    * @param holderName
    */
    public void setHolderName(String holderName){
        this.holderName = holderName;
    }
    /**
    * 获取 持有者证件号码
    * @return String
    */
    public String getHolderIDCardNo(){
        return holderIDCardNo;
    }
    /**
    * 设置 持有者证件号码
    * @param holderIDCardNo
    */
    public void setHolderIDCardNo(String holderIDCardNo){
        this.holderIDCardNo = holderIDCardNo;
    }
    /**
    * 获取 证照状态，1正常2注销
    * @return Integer
    */
    public Integer getCertificateStatus(){
        return certificateStatus;
    }
    /**
    * 设置 证照状态，1正常2注销
    * @param certificateStatus
    */
    public void setCertificateStatus(Integer certificateStatus){
        this.certificateStatus = certificateStatus;
    }
    /**
    * 获取 正本数
    * @return Integer
    */
    public Integer getOriginalCount(){
        return originalCount;
    }
    /**
    * 设置 正本数
    * @param originalCount
    */
    public void setOriginalCount(Integer originalCount){
        this.originalCount = originalCount;
    }
    /**
    * 获取 副本数
    * @return Integer
    */
    public Integer getDuplicateCount(){
        return duplicateCount;
    }
    /**
    * 设置 副本数
    * @param duplicateCount
    */
    public void setDuplicateCount(Integer duplicateCount){
        this.duplicateCount = duplicateCount;
    }
    /**
    * 获取 正本附件地址
    * @return String
    */
    public String getOriginalUrl(){
        return originalUrl;
    }
    /**
    * 设置 正本附件地址
    * @param originalUrl
    */
    public void setOriginalUrl(String originalUrl){
        this.originalUrl = originalUrl;
    }
    /**
    * 获取 副本附件地址
    * @return String
    */
    public String getDuplicateUrl(){
        return duplicateUrl;
    }
    /**
    * 设置 副本附件地址
    * @param duplicateUrl
    */
    public void setDuplicateUrl(String duplicateUrl){
        this.duplicateUrl = duplicateUrl;
    }
    /**
    * 获取 证照目录ID
    * @return Long
    */
    public Long getCatalogId(){
        return catalogId;
    }
    /**
    * 设置 证照目录ID
    * @param catalogId
    */
    public void setCatalogId(Long catalogId){
        this.catalogId = catalogId;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof RetainLogEntity) {
            RetainLogEntity tmp = (RetainLogEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",catalogCode:").append(getCatalogCode());
        sb.append(",certificateName:").append(getCertificateName());
        sb.append(",certificateCode:").append(getCertificateCode());
        sb.append(",enterpriseName:").append(getEnterpriseName());
        sb.append(",holderName:").append(getHolderName());
        sb.append(",holderIDCardNo:").append(getHolderIDCardNo());
        sb.append(",certificateStatus:").append(getCertificateStatus());
        sb.append(",originalCount:").append(getOriginalCount());
        sb.append(",duplicateCount:").append(getDuplicateCount());
        sb.append(",originalUrl:").append(getOriginalUrl());
        sb.append(",duplicateUrl:").append(getDuplicateUrl());
        sb.append(",catalogId:").append(getCatalogId());
        return sb.toString();
    }

    public void initAttrValue(){

            this.catalogCode = "";

            this.certificateName = "";

            this.certificateCode = "";

            this.enterpriseName = "";

            this.holderName = "";

            this.holderIDCardNo = "";

            this.certificateStatus = 1;

            this.originalCount = 0;

            this.duplicateCount = 0;

            this.originalUrl = "";

            this.duplicateUrl = "";

            this.catalogId = null;
    }
}