package com.mortals.xhx.module.record.service.impl;
import com.mortals.framework.model.PageInfo;
import com.mortals.xhx.common.code.CertificateStatus;
import com.mortals.xhx.common.code.ClassifyType;
import com.mortals.xhx.common.utils.StringUtils;
import com.mortals.xhx.module.certificate.model.CertificateCatalogEntity;
import com.mortals.xhx.module.certificate.model.CertificateClassifyEntity;
import com.mortals.xhx.module.certificate.service.CertificateCatalogService;
import com.mortals.xhx.module.certificate.service.CertificateClassifyService;
import com.mortals.xhx.module.record.model.*;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.record.dao.RetainLogDao;
import com.mortals.xhx.module.record.service.RetainLogService;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
* RetainLogService
* 证照持有 service实现
*
* @author zxfei
* @date 2022-10-14
*/
@Service("retainLogService")
public class RetainLogServiceImpl extends AbstractCRUDServiceImpl<RetainLogDao, RetainLogEntity, Long> implements RetainLogService {

    @Autowired
    private CertificateCatalogService certificateCatalogService;
    @Autowired
    private CertificateClassifyService certificateClassifyService;

    @Override
    protected RetainLogEntity findBefore(RetainLogEntity entity, PageInfo pageInfo, Context context) throws AppException {
        RetainLogQuery query = new RetainLogQuery();
        BeanUtils.copyProperties(entity,query);
        if(StringUtils.isNotEmpty(entity.getQuery())){
            StringBuffer condition = new StringBuffer("%");
            condition.append(entity.getQuery()).append("%");
            RetainLogQuery condition1 = new RetainLogQuery();
            RetainLogQuery condition2 = new RetainLogQuery();
            condition1.setHolderName(condition.toString());
            condition2.setCertificateCode(condition.toString());
            List<RetainLogQuery> orConditionList = new ArrayList<>();
            orConditionList.add(condition1);
            orConditionList.add(condition2);
            query.setOrConditionList(orConditionList);
        }
        return query;
    }

    @Override
    public void creatRetainLog(ApplyLogEntity applyLogEntity, Context context) throws AppException {
        RetainLogEntity retainLogEntity = new RetainLogEntity();
        retainLogEntity.setCatalogId(applyLogEntity.getCatalogId());
        CertificateCatalogEntity catalogEntity = certificateCatalogService.get(applyLogEntity.getCatalogId());
        CertificateClassifyEntity classifyEntity = certificateClassifyService.get(catalogEntity.getClassifyId());
        retainLogEntity.setCatalogCode(catalogEntity.getCatalogCode());
        if(classifyEntity.getClassifyType()== ClassifyType.PRINCIPAL.getValue()){
            retainLogEntity.setOriginalCount(1);
            retainLogEntity.setDuplicateCount(0);
        }
        if(classifyEntity.getClassifyType()== ClassifyType.PRINCIPAL_AND_VICE.getValue()){
            retainLogEntity.setOriginalCount(1);
            retainLogEntity.setDuplicateCount(1);
        }
        retainLogEntity.setCertificateName(applyLogEntity.getCertificateName());
        retainLogEntity.setCertificateCode(applyLogEntity.getCertificateCode());
        retainLogEntity.setEnterpriseName(applyLogEntity.getEnterpriseName());
        retainLogEntity.setHolderName(applyLogEntity.getHolderName());
        retainLogEntity.setHolderIDCardNo(applyLogEntity.getHolderIDCardNo());
        retainLogEntity.setCertificateStatus(CertificateStatus.NORMAL.getValue());

        retainLogEntity.setOriginalUrl(applyLogEntity.getOriginalUrl());
        retainLogEntity.setDuplicateUrl(applyLogEntity.getDuplicateUrl());
        retainLogEntity.setCreateUserId(applyLogEntity.getCreateUserId());
        retainLogEntity.setCreateTime(new Date());

        dao.insert(retainLogEntity);
    }
}